Requires requests:write.
Body
name
string
channel
string: email, sms, whatsapp
segment
string
magic_link
string
send_delay_minutes
integer
message
object
The body you send, as JSON
curl -X PATCH https://api.reviewflowz.com/v3/campaigns/cmp_7 \-H "Authorization: Bearer rfz_live_..." \-H "Content-Type: application/json" \-d '{"name": "Tour Eiffel","channel": "email","segment": "seg_1","magic_link": "lnk_1","send_delay_minutes": 120,"message": {"subject": "How was your visit?", "body": "Hi {{first_name}}, thanks for visiting today. Could you take a minute to tell others how it went?", "cta_text": "Leave a review", "sender": "snd_1", "reply_to": "hello@yourcompany.com"}}'
const res = await fetch("https://api.reviewflowz.com/v3/campaigns/cmp_7", {method: "PATCH",headers: {"Authorization": "Bearer rfz_live_...","Content-Type": "application/json",},body: JSON.stringify({"name": "Tour Eiffel", "channel": "email", "segment": "seg_1", "magic_link": "lnk_1", "send_delay_minutes": 120, "message": {"subject": "How was your visit?", "body": "Hi {{first_name}}, thanks for visiting today. Could you take a minute to tell others how it went?", "cta_text": "Leave a review", "sender": "snd_1", "reply_to": "hello@yourcompany.com"}}),});console.log(await res.json());
import requestsres = requests.patch("https://api.reviewflowz.com/v3/campaigns/cmp_7",headers={"Authorization": "Bearer rfz_live_...","Content-Type": "application/json",},json={"name": "Tour Eiffel", "channel": "email", "segment": "seg_1", "magic_link": "lnk_1", "send_delay_minutes": 120, "message": {"subject": "How was your visit?", "body": "Hi {{first_name}}, thanks for visiting today. Could you take a minute to tell others how it went?", "cta_text": "Leave a review", "sender": "snd_1", "reply_to": "hello@yourcompany.com"}},)print(res.json())